Background image

Bootstrap background image

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

A Bootstrap background image is an illustration chosen by a user that is placed behind all the other objects on the website. It may be full or partially visible.


Full Page Background Image

See live preview
        
            

        <body>

            <div class="bg"></div>

            <p class="py-5 text-center">This example creates a full page background image. Try to resize the browser window to see how it always will cover the full screen (when scrolled to top), and that it scales nicely on all screen sizes.</p>

        </body>

      
        
    
        
            
        body, html {
          height: 100%;
        }
        .bg {
          /* The image used */
          background-image: url("https://mdbootstrap.com/img/Photos/Horizontal/Nature/full page/img(20).webp");

          /* Full height */
          height: 100%;

          /* Center and scale the image nicely */
          background-position: center;
          background-repeat: no-repeat;
          background-size: cover;
        }

      
        
    

Half Page Background Image

You can also stretch the background image half page.

See live preview
        
            

        <body>

            <div class="bg"></div>

            <p class="py-5 text-center">This example creates a half page background image. Try to resize the browser window to see how it always will cover the full screen (when scrolled to top), and that it scales nicely on all screen sizes.</p>

        </body>

      
        
    
        
            

        body, html {
          height: 100%;
        }
        .bg {
          /* The image used */
          background-image: url("https://mdbootstrap.com/img/Photos/Horizontal/Nature/full page/img(11).webp");

          /* Half height */
          height: 50%;

          /* Center and scale the image nicely */
          background-position: center;
          background-repeat: no-repeat;
          background-size: cover;
        }

      
        
    

Background image layout - first option

See live preview
        
            

        <html lang="en">
            <body>

                <!-- Main navigation -->
                <header>
                  <!--Navbar-->
                  <nav class="navbar navbar-expand-lg navbar-dark fixed-top scrolling-navbar">
                    <div class="container">
                      <a class="navbar-brand" href="#">
                        <strong>MDB</strong>
                      </a>
                      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent-7" aria-controls="navbarSupportedContent-7" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                      </button>
                      <div class="collapse navbar-collapse" id="navbarSupportedContent-7">
                        <ul class="navbar-nav mr-auto">
                          <li class="nav-item active">
                            <a class="nav-link" href="#">Home
                              <span class="sr-only">(current)</span>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link" href="#">Link</a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link" href="#">Profile</a>
                          </li>
                        </ul>
                        <form class="form-inline">
                          <div class="md-form my-0">
                            <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search">
                          </div>
                        </form>
                      </div>
                    </div>
                  </nav>
                  <!-- Full Page Intro -->
                  <div class="view" style="background-image: url('https://mdbootstrap.com/img/Photos/Others/architecture.webp'); background-repeat: no-repeat; background-size: cover; background-position: center center;">
                    <!-- Mask & flexbox options-->
                    <div class="mask rgba-gradient align-items-center">
                      <!-- Content -->
                      <div class="container">
                        <!--Grid row-->
                        <div class="row">
                          <!--Grid column-->
                          <div class="col-md-6 white-text text-center text-md-left mt-xl-5 mb-5 wow fadeInLeft" data-wow-delay="0.3s">
                            <h1 class="h1-responsive font-weight-bold mt-sm-5">Make purchases with our app </h1>
                            <hr class="hr-light">
                            <h6 class="mb-4">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Rem repellendus quasi fuga nesciunt
                            dolorum nulla magnam veniam sapiente, fugiat! Commodi sequi non animi ea dolor molestiae
                            iste.</h6>
                            <a class="btn btn-white">Download</a>
                            <a class="btn btn-outline-white">Learn more</a>
                          </div>
                          <!--Grid column-->
                          <!--Grid column-->
                          <div class="col-md-6 col-xl-5 mt-xl-5 wow fadeInRight" data-wow-delay="0.3s">
                            <img src="https://mdbootstrap.com/img/Mockups/Transparent/Small/admin-new.webp" alt="" class="img-fluid">
                          </div>
                          <!--Grid column-->
                        </div>
                        <!--Grid row-->
                      </div>
                      <!-- Content -->
                    </div>
                    <!-- Mask & flexbox options-->
                  </div>
                  <!-- Full Page Intro -->
                </header>
                <!-- Main navigation -->
                <!--Main Layout-->
                <main>
                  <div class="container">
                    <!--Grid row-->
                    <div class="row py-5">
                      <!--Grid column-->
                      <div class="col-md-12 text-center">
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                      </div>
                      <!--Grid column-->
                    </div>
                    <!--Grid row-->
                  </div>
                </main>
                <!--Main Layout-->

            </body>
        </html>

      
        
    
        
            

        html,
        body,
        header,
        .view {
          height: 100%;
        }

        @media (max-width: 740px) {
          html,
          body,
          header,
          .view {
            height: 1000px;
          }
        }
        @media (min-width: 800px) and (max-width: 850px) {
          html,
          body,
          header,
          .view {
            height: 600px;
          }
        }

        .btn .fa {
          margin-left: 3px;
        }

        .top-nav-collapse {
          background-color: #424f95 !important;
        }

        .navbar:not(.top-nav-collapse) {
          background: transparent !important;
        }

        @media (max-width: 991px) {
          .navbar:not(.top-nav-collapse) {
            background: #424f95 !important;
          }
        }

        .btn-white {
          color: black !important;
        }

        h6 {
          line-height: 1.7;
        }

        .rgba-gradient {
          background: -moz-linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
          background: -webkit-linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
          background: -webkit-gradient(linear, 45deg, from(rgba(42, 27, 161, 0.7)), to(rgba(29, 210, 177, 0.7)));
          background: -o-linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
          background: linear-gradient(to 45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
        }

      
        
    
        
            

        // Animations init
        new WOW().init();

      
        
    

Background image layout - second option

See live preview
        
            

        <html lang="en">
            <body>

                <header>
                  <!-- Navbar -->
                  <nav class="navbar navbar-expand-lg navbar-dark fixed-top scrolling-navbar">
                    <div class="container">
                      <a class="navbar-brand" href="#">
                        <strong>MDB</strong>
                      </a>
                      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent-7" aria-controls="navbarSupportedContent-7" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                      </button>
                      <div class="collapse navbar-collapse" id="navbarSupportedContent-7">
                        <ul class="navbar-nav mr-auto">
                          <li class="nav-item active">
                            <a class="nav-link" href="#">Home
                              <span class="sr-only">(current)</span>
                            </a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link" href="#">Link</a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link" href="#">Profile</a>
                          </li>
                        </ul>
                        <form class="form-inline">
                          <div class="md-form my-0">
                            <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search">
                          </div>
                        </form>
                      </div>
                    </div>
                  </nav>
                  <!-- Navbar -->
                  <!-- Full Page Intro -->
                  <div class="view" style="background-image: url('https://mdbootstrap.com/img/Photos/Others/images/91.webp'); background-repeat: no-repeat; background-size: cover; background-position: center center;">
                    <!-- Mask & flexbox options-->
                    <div class="mask rgba-gradient align-items-center">
                      <!-- Content -->
                      <div class="container">
                        <!--Grid row-->
                        <div class="row mt-5">
                          <!--Grid column-->
                          <div class="col-md-6 mb-5 mt-md-0 mt-5 white-text text-center text-md-left">
                            <h1 class="h1-responsive font-weight-bold wow fadeInLeft" data-wow-delay="0.3s">Sign up right now! </h1>
                            <hr class="hr-light wow fadeInLeft" data-wow-delay="0.3s">
                            <h6 class="mb-3 wow fadeInLeft" data-wow-delay="0.3s">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Rem repellendus quasi fuga
                            nesciunt dolorum nulla magnam veniam sapiente, fugiat! Commodi sequi non animi ea
                            dolor molestiae, quisquam iste, maiores. Nulla.</h6>
                            <a class="btn btn-outline-white wow fadeInLeft" data-wow-delay="0.3s">Learn more</a>
                          </div>
                          <!--Grid column-->
                          <!--Grid column-->
                          <div class="col-md-6 col-xl-5 mb-4">
                            <!--Form-->
                            <div class="card wow fadeInRight" data-wow-delay="0.3s">
                              <div class="card-body">
                                <!--Header-->
                                <div class="text-center">
                                  <h3 class="white-text">
                                    <i class="fas fa-user white-text"></i> Register:</h3>
                                  <hr class="hr-light">
                                </div>
                                <!--Body-->
                                <div class="md-form">
                                  <i class="fas fa-user prefix white-text active"></i>
                                  <input type="text" id="form3" class="white-text form-control">
                                  <label for="form3" class="active">Your name</label>
                                </div>
                                <div class="md-form">
                                  <i class="fas fa-envelope prefix white-text active"></i>
                                  <input type="email" id="form2" class="white-text form-control">
                                  <label for="form2" class="active">Your email</label>
                                </div>
                                <div class="md-form">
                                  <i class="fas fa-lock prefix white-text active"></i>
                                  <input type="password" id="form4" class="white-text form-control">
                                  <label for="form4">Your password</label>
                                </div>
                                <div class="text-center mt-4">
                                  <button class="btn btn-indigo">Sign up</button>
                                  <hr class="hr-light mb-3 mt-4">
                                  <div class="inline-ul text-center">
                                    <a class="p-2 m-2 tw-ic">
                                      <i class="fab fa-twitter white-text"></i>
                                    </a>
                                    <a class="p-2 m-2 li-ic">
                                      <i class="fab fa-linkedin-in white-text"> </i>
                                    </a>
                                    <a class="p-2 m-2 ins-ic">
                                      <i class="fas fa-instagram white-text"> </i>
                                    </a>
                                  </div>
                                </div>
                              </div>
                            </div>
                            <!--/.Form-->
                          </div>
                          <!--Grid column-->
                        </div>
                        <!--Grid row-->
                      </div>
                      <!-- Content -->
                    </div>
                    <!-- Mask & flexbox options-->
                  </div>
                  <!-- Full Page Intro -->
                </header>
                <!-- Main navigation -->
                <!--Main Layout-->
                <main>
                  <div class="container">
                    <!--Grid row-->
                    <div class="row py-5">
                      <!--Grid column-->
                      <div class="col-md-12 text-center">
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                      </div>
                      <!--Grid column-->
                    </div>
                    <!--Grid row-->
                  </div>
                </main>
                <!--Main Layout-->

            </body>
        </html>

      
        
    
        
            

        html,
        body,
        header,
        .view {
          height: 100%;
        }

        @media (max-width: 740px) {
          html,
          body,
          header,
          .view {
            height: 1000px;
          }
        }
        @media (min-width: 800px) and (max-width: 850px) {
          html,
          body,
          header,
          .view {
            height: 650px;
          }
        }

        .top-nav-collapse {
          background-color: #3f51b5 !important;
        }

        .navbar:not(.top-nav-collapse) {
          background: transparent !important;
        }

        @media (max-width: 991px) {
          .navbar:not(.top-nav-collapse) {
            background: #3f51b5 !important;
          }
        }

        .rgba-gradient {
          background: -webkit-linear-gradient(45deg, rgba(0, 0, 0, 0.7), rgba(72, 15, 144, 0.4) 100%);
          background: -webkit-gradient(linear, 45deg, from(rgba(0, 0, 0, 0.7), rgba(72, 15, 144, 0.4) 100%)));
          background: linear-gradient(to 45deg, rgba(0, 0, 0, 0.7), rgba(72, 15, 144, 0.4) 100%);
        }

        .card {
          background-color: rgba(126, 123, 215, 0.2);
        }

        .md-form label {
          color: #ffffff;
        }

        h6 {
          line-height: 1.7;
        }

      
        
    
        
            

        // Animations init
        new WOW().init();

      
        
    

Background image layout - third option

See live preview
        
            

        <html lang="en">
            <body>

                <header>
                  <!--Navbar-->
                  <nav class="navbar navbar-expand-lg navbar-dark fixed-top scrolling-navbar">
                    <div class="container">
                      <a class="navbar-brand" href="#"><strong>MDB</strong></a>
                      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent-7" aria-controls="navbarSupportedContent-7" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                      </button>
                      <div class="collapse navbar-collapse" id="navbarSupportedContent-7">
                        <ul class="navbar-nav mr-auto">
                          <li class="nav-item active">
                            <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link" href="#">Link</a>
                          </li>
                          <li class="nav-item">
                            <a class="nav-link" href="#">Profile</a>
                          </li>
                        </ul>
                        <form class="form-inline">
                          <div class="md-form my-0">
                            <input class="form-control mr-sm-2" type="text" placeholder="Search" aria-label="Search">
                          </div>
                        </form>
                      </div>
                    </div>
                  </nav>
                  <!-- Navbar -->
                  <!-- Full Page Intro -->
                  <div class="view" style="background-image: url('https://mdbootstrap.com/img/Photos/Others/img%20%2848%29.webp'); background-repeat: no-repeat; background-size: cover; background-position: center center;">
                    <!-- Mask & flexbox options-->
                    <div class="mask rgba-black-light align-items-center">
                      <!-- Content -->
                      <div class="container">
                        <!--Grid row-->
                        <div class="row">
                          <!--Grid column-->
                          <div class="col-md-12 mb-4 white-text text-center">
                            <h1 class="h1-reponsive white-text text-uppercase font-weight-bold mb-0 pt-md-5 pt-5 wow fadeInDown" data-wow-delay="0.3s"><strong>Minimalist intro</strong></h1>
                            <hr class="hr-light my-4 wow fadeInDown" data-wow-delay="0.4s">
                            <h5 class="text-uppercase mb-4 white-text wow fadeInDown" data-wow-delay="0.4s"><strong>Photography & design</strong></h5>
                            <a class="btn btn-outline-white wow fadeInDown" data-wow-delay="0.4s">portfolio</a>
                            <a class="btn btn-outline-white wow fadeInDown" data-wow-delay="0.4s">About me</a>
                          </div>
                          <!--Grid column-->
                        </div>
                        <!--Grid row-->
                      </div>
                      <!-- Content -->
                    </div>
                    <!-- Mask & flexbox options-->
                  </div>
                  <!-- Full Page Intro -->
                </header>
                <!-- Main navigation -->
                <!--Main Layout-->
                <main>
                  <div class="container">
                    <!--Grid row-->
                    <div class="row py-5">
                      <!--Grid column-->
                      <div class="col-md-12 text-center">
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                        <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                        <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
                      </div>
                      <!--Grid column-->
                    </div>
                    <!--Grid row-->
                  </div>
                </main>
                <!--Main Layout-->

            </body>
        </html>

      
        
    
        
            

        html,
        body,
        header,
        .view {
          height: 100%;
        }

        @media (max-width: 740px) {
          html,
          body,
          header,
          .view {
            height: 100vh;
          }
        }

        .top-nav-collapse {
          background-color: #78909c !important;
        }

        .navbar:not(.top-nav-collapse) {
          background: transparent !important;
        }

        @media (max-width: 991px) {
          .navbar:not(.top-nav-collapse) {
            background: #78909c !important;
          }
        }

        h1 {
          letter-spacing: 8px;
        }

        h5 {
          letter-spacing: 3px;
        }

        .hr-light {
          border-top: 3px solid #fff;
          width: 80px;
        }

      
        
    
        
            

        // Animations init
        new WOW().init();

      
        
    

Background video layout

See live preview
        
            

        <html lang="en" class="full-height">
            <body>

              <!-- Main navigation -->
              <header>
                <!-- Navbar -->
                <nav class="navbar navbar-expand-lg navbar-dark fixed-top scrolling-navbar">
                  <div class="container">
                    <a class="navbar-brand" href="#">Navbar</a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
                      <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
                      <ul class="navbar-nav mr-auto smooth-scroll">
                        <li class="nav-item">
                          <a class="nav-link" href="#home">Home
                            <span class="sr-only">(current)</span>
                          </a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link" href="#about" data-offset="90">About</a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link" href="#features" data-offset="90">Features</a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link" href="#services" data-offset="90">Services</a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link" href="#opinions" data-offset="30">Opinions</a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link" href="#team" data-offset="90">Team</a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link" href="#contact" data-offset="90">Contact</a>
                        </li>
                      </ul>
                      <!-- Social Icon  -->
                      <ul class="navbar-nav nav-flex-icons">
                        <li class="nav-item">
                          <a class="nav-link">
                            <i class="fab fa-facebook-f light-green-text-2"></i>
                          </a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link">
                            <i class="fab fa-twitter light-green-text-2"></i>
                          </a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link">
                            <i class="fas fa-instagram light-green-text-2"></i>
                          </a>
                        </li>
                      </ul>
                    </div>
                  </div>
                </nav>
                <!-- Navbar -->
                <!-- Full Page Intro -->
                <div class="view">
                  <video class="video-intro" poster="https://mdbootstrap.com/img/Photos/Others/background.webp" playsinline autoplay muted loop>
                    <source src="https://mdbootstrap.com/img/video/animation.mp4" type="video/mp4">
                  </video>
                  <!-- Mask & flexbox options-->
                  <div class="mask rgba-gradient align-items-center">
                    <!-- Content -->
                    <div class="container px-md-3 px-sm-0">
                      <!--Grid row-->
                      <div class="row wow fadeIn">
                        <!--Grid column-->
                        <div class="col-md-12 mb-4 white-text text-center wow fadeIn">
                          <h3 class="display-3 font-weight-bold white-text mb-0 pt-md-5 pt-5">Creative Agency</h3>
                          <hr class="hr-light my-4 w-75">
                          <h4 class="subtext-header mt-2 mb-4">Lorem ipsum dolor sit amet, consectetur adipisicing elit deleniti consequuntur nihil.</h4>
                          <a href="#!" class="btn btn-rounded btn-outline-white">
                            <i class="fas fa-home"></i> Visit us
                          </a>
                        </div>
                        <!--Grid column-->
                      </div>
                      <!--Grid row-->
                    </div>
                    <!-- Content -->
                  </div>
                  <!-- Mask & flexbox options-->
                </div>
                <!-- Full Page Intro -->
              </header>
              <!-- Main navigation -->
              <!--Main Layout-->
              <main>
                <div class="container">
                  <!--Grid row-->
                  <div class="row py-5">
                    <!--Grid column-->
                    <div class="col-md-12 text-center">
                      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                    </div>
                    <!--Grid column-->
                  </div>
                  <!--Grid row-->
                </div>
              </main>
              <!--Main Layout-->

            </body>
        </html>

      
        
    
        
            

        html,
        body,
        header,
        .view {
          height: 100%;
        }

        @media (max-width: 740px) {
          html,
          body,
          header,
          .view {
            height: 100vh;
          }
        }

        .top-nav-collapse {
          background-color: #563e91 !important;
        }

        .navbar:not(.top-nav-collapse) {
          background: transparent !important;
        }

        @media (max-width: 991px) {
          .navbar:not(.top-nav-collapse) {
            background: #563e91 !important;
          }
        }

        .rgba-gradient {
          background: -moz-linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
          background: -webkit-linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
          background: linear-gradient(to 45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
        }

      
        
    
        
            

        // Animations init
        new WOW().init();

      
        
    

Cards with background image MDB Pro component

You can also use background image with cards.

Marketing

This is the card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!.

View project
Software

This is the card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!.

View project
        
            

        <!-- Card -->
        <div class="card card-image" style="background-image: url(https://mdbootstrap.com/img/Photos/Horizontal/Work/4-col/img%20%2814%29.webp);">

            <!-- Content -->
            <div class="text-white text-center d-flex align-items-center rgba-black-strong py-5 px-4">
                <div>
                    <h5 class="pink-text"><i class="fas fa-chart-pie"></i> Marketing</h5>
                    <h3 class="card-title pt-2"><strong>This is the card title</strong></h3>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem,
                        optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos.
                        Odit sed qui, dolorum!.</p>
                    <a class="btn btn-pink"><i class="far fa-clone left"></i> View project</a>
                </div>
            </div>
            <!-- Content -->
        </div>
        <!-- Card -->

      
        
    

Project section with background image cards MDB Pro component

You can use background images in more advanced designs using grid system and cards.

Our best projects

Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit est laborum.

Travel

This is the card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!

View project
Marketing

This is the card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!

View project
Entertainment

This is the card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!

View project
        
            

        <!--Projects section v.4-->
        <section>

            <!--Section heading-->
            <h2 class="h1-responsive font-weight-bold text-center my-5">Our best projects</h2>
            <!-- Section description -->
            <p class="grey-text text-center w-responsive mx-auto mb-5">Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit est laborum.</p>

            <!--Grid row-->
            <div class="row mx-1">

                <!--Grid column-->
                <div class="col-md-12 mb-4">
                    <div class="card card-image" style="background-image: url(https://mdbootstrap.com/img/Photos/Others/img%20%2832%29.webp);">
                        <div class="text-white text-center d-flex align-items-center rgba-black-strong py-5 px-4">
                            <div>
                                <h6 class="purple-text"><i class="fas fa-plane"></i><strong> Travel</strong></h6>
                                <h3 class="card-title py-3 font-weight-bold"><strong>This is the card title</strong></h3>
                                <p class="pb-3">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem,
                                    optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos.
                                    Odit sed qui, dolorum!</p>
                                <a class="btn btn-secondary btn-rounded"><i class="far fa-clone left"></i> View project</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!--Grid column-->

                <!--Grid column-->
                <div class="col-md-6 mb-4">
                    <div class="card card-image" style="background-image: url(https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20%2873%29.webp);">
                        <div class="text-white text-center d-flex align-items-center rgba-black-strong py-5 px-4">
                            <div>
                                <h6 class="pink-text"><i class="fas fa-chart-pie"></i><strong> Marketing</strong></h6>
                                <h3 class="card-title py-3 font-weight-bold"><strong>This is the card title</strong></h3>
                                <p class="pb-3">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem,
                                    optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos.
                                    Odit sed qui, dolorum!</p>
                                <a class="btn btn-pink btn-rounded"><i class="far fa-clone left"></i> View project</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!--Grid column-->

                <!--Grid column-->
                <div class="col-md-6 mb-4">
                    <div class="card card-image" style="background-image: url(https://mdbootstrap.com/img/Photos/Horizontal/City/6-col/img%20%2847%29.webp);">
                        <div class="text-white text-center d-flex align-items-center rgba-black-strong py-5 px-4">
                            <div>
                                <h6 class="green-text"><i class="far fa-eye"></i><strong> Entertainment</strong></h6>
                                <h3 class="card-title py-3 font-weight-bold"><strong>This is the card title</strong></h3>
                                <p class="pb-3">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem,
                                    optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos.
                                    Odit sed qui, dolorum!</p>
                                <a class="btn btn-success btn-rounded"><i class="far fa-clone left"></i> View project</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!--Grid column-->

            </div>
            <!--Grid row-->

        </section>
        <!--Projects section v.4-->

Vue Bootstrap Background Image

Vue Background Image - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap background image is an illustration chosen by a user placed behind all other objects on the website. It may be full or partially visible.


Full Page Background Image

Make background image cover the full available space and make it a full-page background image.

See live preview
        
            
        <template>
          <div class="bg">
            <p class="py-5 text-center">
              This example creates a full page background image.
              Try to resize the browser window to see how it always will cover the full screen (when scrolled to top),
              and that it scales nicely on all screen sizes.
            </p>
          </div>
        </template>
      
        
    
        
            
        <style>
          body, html {
            height: 100%;
          }
          .bg {
            /* The image used */
            background-image: url("https://mdbootstrap.com/img/Photos/Horizontal/Nature/full page/img(20).webp");

            /* Full height */
            height: 100%;

            /* Center and scale the image nicely */
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
          }
        </style>
      
        
    

Half Page Background Image

You can also stretch the background image half page.

See live preview
        
            
        <template>
          <div>
            <div class="bg"></div>
            <p class="py-5 text-center">
              This example creates a half page background image.
              Try to resize the browser window to see how it always will cover the full screen (when scrolled to top),
              and that it scales nicely on all screen sizes.
            </p>
          </div>
        </template>
      
        
    
        
            
        <style>
          body, html {
            height: 100%;
          }
          .bg {
            /* The image used */
            background-image: url("https://mdbootstrap.com/img/Photos/Horizontal/Nature/full page/img(11).webp");

            /* Half height */
            height: 50%;

            /* Center and scale the image nicely */
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
          }
        </style>
      
        
    

Background image layout - first option

Use full-page video example will take up the entire viewport of your user screen.

See live preview
        
            
        <template>
          <div>
            <!--Navbar-->
            <mdb-navbar :color="'primary'" position="top" dark href="#" transparent scrolling>
              <mdb-container>
                <mdb-navbar-brand href="#"><strong>MDB</strong></mdb-navbar-brand>
                <mdb-navbar-toggler style="max-width: 1140px">
                  <mdb-navbar-nav>
                    <mdb-nav-item href="#" waves-fixed active>Home</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Link</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Profile</mdb-nav-item>
                  </mdb-navbar-nav>
                  <!--Search form -->
                  <mdb-navbar-nav right>
                  <form>
                    <mdb-input type="text" class="text-white f-flex" placeholder="Search" aria-label="Search" navInput waves waves-fixed/>
                  </form>
                  </mdb-navbar-nav>

                  <!--/.Search form -->
                </mdb-navbar-toggler>
              </mdb-container>
            </mdb-navbar>
            <!--/.Navbar-->
            <!--ViewWrapper-->
            <mdb-view>
              <mdb-mask class="gradient d-flex justify-content-center align-items-center">
                <mdb-container>
                  <mdb-row>
                    <div class="white-text text-center text-md-left col-md-6 mt-xl-5 mb-5">
                      <h1 class="h1-responsive font-weight-bold mt-sm-5">Make purchases with our app </h1>
                      <hr class="hr-light"/>
                      <h6 class="mb-4">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Rem repellendus quasi fuga nesciunt
                      dolorum nulla magnam veniam sapiente, fugiat! Commodi sequi non animi ea dolor molestiae
                      iste.</h6>
                      <mdb-btn color="white">Download</mdb-btn>
                      <mdb-btn outline="white">Learn More</mdb-btn>
                    </div>
                    <mdb-col md="6" xl="5" class="mt-xl-5">
                      <img src="https://mdbootstrap.com/img/Mockups/Transparent/Small/admin-new.webp" class="img-fluid"/>
                    </mdb-col>
                  </mdb-row>
                </mdb-container>
              </mdb-mask>
            </mdb-view>
            <!--/.ViewWrapper-->
            <mdb-container>
              <mdb-row class="py-5">
                <col md="12" class="text-center">
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                  </p>
              </mdb-row>
            </mdb-container>
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbContainer, mdbRow, mdbCol, mdbNavbar, mdbNavbarToggler, mdbNavbarNav, mdbNavItem, mdbInput, mdbView, mdbMask, mdbBtn, mdbNavbarBrand } from 'mdbvue';
          export default {
            name: 'AppPage',
            components: {
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbNavbar,
              mdbNavbarToggler,
              mdbNavbarNav,
              mdbNavItem,
              mdbInput,
              mdbView,
              mdbMask,
              mdbBtn,
              mdbNavbarBrand
            }
          }
        </script>
      
        
    
        
            
        <style>
          .navbar {
            transition: 1s;
          }
          .navbar .md-form {
            margin: 0;
          }
          .top-nav-collapse {
            background-color: #424f95 !important;
          }
          @media (max-width: 990px){
            .navbar {
              background-color: #424f95 !important;
            }
          }
          .view {
            background-image: url('https://mdbootstrap.com/img/Photos/Others/architecture.webp');
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center center;
            height: calc(100vh - 60px);
          }
          .gradient {
            background: -moz-linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
            background: -webkit-linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
            background: -webkit-gradient(linear, 45deg, from(rgba(42, 27, 161, 0.7)), to(rgba(29, 210, 177, 0.7)));
            background: -o-linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
            background: linear-gradient(45deg, rgba(42, 27, 161, 0.7), rgba(29, 210, 177, 0.7) 100%);
          }
          h6 {
              line-height: 1.7;
          }
        </style>
      
        
    

Background image layout - second option

See live preview
        
            
            <template>
              <div class="classic-form-page">
                <mdb-navbar style="margin-top: 60px" :color="'primary'" position="top" dark href="#" transparent scrolling>
                  <mdb-container>
                    <mdbNavbarBrand href="#"><strong>MDB</strong></mdbNavbarBrand>
                    <mdb-navbar-toggler style="max-width: 1140px">
                      <mdb-navbar-nav left>
                        <mdb-nav-item href="#" waves-fixed active>Home</mdb-nav-item>
                        <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                        <mdb-nav-item href="#" waves-fixed>Pricing</mdb-nav-item>
                      </mdb-navbar-nav>
                      <form>
                        <mdb-input type="text" class="text-white" placeholder="Search" aria-label="Search" label navInput waves waves-fixed/>
                      </form>
                    </mdb-navbar-toggler>
                  </mdb-container>
                </mdb-navbar>
                <view-wrapper>
                  <mdb-mask class="d-flex gradient justify-content-center align-items-center">
                    <mdb-container>
                      <mdb-row>
                        <div class="white-text text-center text-md-left col-md-6 mt-xl-5 mb-5">
                          <h1 class="h1-responsive font-weight-bold">Sign up right now! </h1>
                          <hr class="hr-light"/>
                          <h6 class="mb-4">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Rem repellendus quasi fuga nesciunt dolorum nulla magnam veniam sapiente, fugiat! Commodi sequi non animi ea dolor molestiae, quisquam iste, maiores. Nulla.</h6>
                          <mdb-btn outline="white" color="white">Learn More</mdb-btn>
                        </div>
                        <mdb-col md="6" xl="5" class="mb-4">
                          <mdb-card id="classic-card">
                            <mdb-card-body class="z-depth-2 white-text">
                              <h3 class="text-center"><mdb-icon icon="user"/> Register:</h3>
                              <hr class="hr-light"/>
                              <mdb-input label="Your name" labelColor="white" icon="user"/>
                              <mdb-input label="Your email" labelColor="white" icon="envelope"/>
                              <mdb-input label="Your password" labelColor="white" icon="lock" type="password"/>
                              <div class="text-center mt-4 black-text">
                                <mdb-btn color="indigo">Sign Up</mdb-btn>
                                <hr class="hr-light"/>
                                <div class="text-center d-flex justify-content-center white-label">
                                  <a class="p-2 m-2">
                                    <mdb-icon fab icon="twitter" class="white-text"/>
                                  </a>
                                  <a class="p-2 m-2">
                                    <mdb-icon fab icon="linkedin" class="white-text"/>
                                  </a>
                                  <a class="p-2 m-2">
                                    <mdb-icon fab icon="instagram" class="white-text"/>
                                  </a>
                                </div>
                              </div>
                            </mdb-card-body>
                          </mdb-card>
                        </mdb-col>
                      </mdb-row>
                    </mdb-container>
                  </mdb-mask>
                </view-wrapper>
                <mdb-container>
                  <mdb-row class="py-5">
                    <mdb-col md="12" class="text-center">
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                      </p>
                    </mdb-col>
                  </mdb-row>
                </mdb-container>
              </div>
            </template>
            
        
    
        
            
            <script>
              import { mdbContainer, mdbRow, mdbCol, mdbNavbar, mdbNavItem, mdbNavbarNav, mdbNavbarToggler, ViewWrapper, mdbMask, mdbBtn, mdbCard, mdbCardBody, mdbInput, mdbIcon, mdbNavbarBrand } from 'mdbvue';
              export default {
                name: 'ClassicFormPage',
                components: {
                  mdbContainer,
                  mdbRow,
                  mdbCol,
                  mdbNavbar,
                  mdbNavItem,
                  mdbNavbarNav,
                  mdbNavbarToggler,
                  ViewWrapper,
                  mdbMask,
                  mdbBtn,
                  mdbCard,
                  mdbCardBody,
                  mdbInput,
                  mdbIcon,
                  mdbNavbarBrand
                }
              }
            </script>
          
        
    
        
            
            <style>
              .classic-form-page .view {
                background-image: url('http://mdbootstrap.com/img/Photos/Others/images/91.webp');
                background-repeat: no-repeat;
                background-size: cover;
                background-position: center center;
                height: calc(100vh - 60px);
              }

              .classic-form-page .gradient {
                background: -webkit-linear-gradient(45deg, rgba(0, 0, 0, 0.7), rgba(72, 15, 144, 0.4) 100%);
                background: linear-gradient(45deg, rgba(0, 0, 0, 0.7), rgba(72, 15, 144, 0.4) 100%);
              }

              .classic-form-page .card {
                background-color: rgba(126, 123, 215, 0.2);
              }

              .classic-form-page h6 {
                line-height: 1.7;
              }

              .classic-form-page .navbar {
                transition: background .5s ease-in-out,padding .5s ease-in-out;
              }

              .classic-form-page .navbar .md-form {
                margin: 0;
              }

              .top-nav-collapse {
                background: #424f95 !important;
              }

              @media (max-width: 768px) {
                .classic-form-page .navbar:not(.top-nav-collapse) {
                    background: #424f95 !important;
                }
              }

              .classic-form-page label {
                color: #fff!important;
              }
            </style>
      
        
    

Background image layout - third option

See live preview
        
            
        <template>
          <div>
            <!--Navbar-->
            <mdb-navbar style="margin-top: 60px" color="stylish" position="top" dark href="#" transparent scrolling>
              <mdb-container>
                <mdb-navbar-brand href="#"><strong>MDB</strong></mdb-navbar-brand>
                <mdb-navbar-toggler style="max-width: 1140px">
                  <mdb-navbar-nav left>
                    <mdb-nav-item href="#" waves-fixed active>Home</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Link</mdb-nav-item>
                    <mdb-nav-item href="#" waves-fixed>Profile</mdb-nav-item>
                  </mdb-navbar-nav>
                  <!--Search form -->
                  <mdb-navbar-nav right>
                    <form>
                      <mdb-input type="text" class="text-white f-flex" placeholder="Search" aria-label="Search" navInput waves waves-fixed/>
                    </form>
                  </mdb-navbar-nav>
                  <!--/.Search form -->
                </mdb-navbar-toggler>
              </mdb-container>
            </mdb-navbar>
            <!--/.Navbar-->
            <!--ViewWrapper-->
            <mdb-parallax
              src="https://mdbootstrap.com/img/Photos/Others/img%20%2848%29.webp"
              height="full"
              factor="2">
              <mdb-mask overlay="black-light" color="#78909c" class="d-flex justify-content-center align-items-center">
                <mdb-container>
                  <mdb-row class="mt-5 pt-5">
                    <mdb-col md="12" class="text-center">
                      <h1 class="h1-reponsive white-text">
                        <strong>Minimalist intro</strong>
                      </h1>
                      <hr class="hr-light mt-4"/>
                      <h5 class="mb-5 white-text">Photography & Design</h5>
                      <mdb-btn outline="white">portfolio</mdb-btn>
                      <mdb-btn outline="white">about me</mdb-btn>
                    </mdb-col>
                  </mdb-row>
                </mdb-container>
              </mdb-mask>
            </mdb-parallax>
            <!--/.ViewWrapper-->
            <main>
                <mdb-container>
                    <!--Grid row-->
                    <mdb-row class="py-5 mt-4">
                        <!--Grid column-->
                        <mdb-col md="12" class="text-center">
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                            <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
                            <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                            <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Ut enim ad minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi consequatur? Quis autem vel eum iure reprehenderit qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas nulla pariatur?</p>
                        </mdb-col>
                        <!--Grid column-->
                    </mdb-row>
                    <!--Grid row-->
                </mdb-container>
            </main>
          </div>
        </template>
        
        
    
        
            
        <script>
          import { mdbContainer, mdbRow, mdbCol, mdbNavbar, mdbNavbarToggler, mdbNavbarNav, mdbNavItem, mdbInput, mdbView, mdbMask, mdbBtn, mdbNavbarBrand, mdbParallax } from 'mdbvue';
          export default {
            name: 'AppPage',
            components: {
              mdbContainer,
              mdbRow,
              mdbCol,
              mdbNavbar,
              mdbNavbarToggler,
              mdbNavbarNav,
              mdbNavItem,
              mdbInput,
              mdbView,
              mdbMask,
              mdbBtn,
              mdbNavbarBrand,
              mdbParallax
            }
          }
        </script>
      
        
    
        
            
        <style>
          .classic-form-page .view {
            background-image: url('https://mdbootstrap.com/img/Photos/Others/images/91.webp');
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center center;
            height: calc(100vh - 60px);
          }

          .classic-form-page .gradient {
            background: -webkit-linear-gradient(45deg, rgba(0, 0, 0, 0.7), rgba(72, 15, 144, 0.4) 100%);
            background: linear-gradient(45deg, rgba(0, 0, 0, 0.7), rgba(72, 15, 144, 0.4) 100%);
          }

          .classic-form-page .card {
            background-color: rgba(126, 123, 215, 0.2);
          }

          .classic-form-page h6 {
            line-height: 1.7;
          }

          .classic-form-page .navbar {
            transition: background .5s ease-in-out,padding .5s ease-in-out;
          }

          .classic-form-page .navbar .md-form {
            margin: 0;
          }

          .top-nav-collapse {
            background: #424f95 !important;
          }

          @media (max-width: 768px) {
            .classic-form-page .navbar:not(.top-nav-collapse) {
                background: #424f95 !important;
            }
          }

          .classic-form-page label {
            color: #fff!important;
          }
        </style>
      
        
    

Background video layout

See live preview
        
            
            <template>
              <div class="video-background-page">
                <mdb-navbar style="margin-top: 60px" :color="'primary'" position="top" dark href="#" transparent scrolling>
                  <mdb-container>
                    <mdbNavbarBrand href="#"><strong>MDB</strong></mdbNavbarBrand>
                    <mdb-navbar-toggler style="max-width: 1140px">
                      <mdb-navbar-nav left>
                        <mdb-nav-item href="#" waves-fixed>Home</mdb-nav-item>
                        <mdb-nav-item href="#" waves-fixed>About</mdb-nav-item>
                        <mdb-nav-item href="#" waves-fixed>Features</mdb-nav-item>
                        <mdb-nav-item href="#" waves-fixed>Services</mdb-nav-item>
                        <mdb-nav-item href="#" waves-fixed>Opinions</mdb-nav-item>
                        <mdb-nav-item href="#" waves-fixed>Team</mdb-nav-item>
                        <mdb-nav-item href="#" waves-fixed>Contact</mdb-nav-item>
                      </mdb-navbar-nav>
                      <mdb-navbar-nav right>
                        <mdb-nav-item href="#!" waves-fixed><mdb-icon fab icon="facebook-f" class="light-green-text-2"/></mdb-nav-item>
                        <mdb-nav-item href="#!" waves-fixed><mdb-icon fab icon="twitter" class="light-green-text-2"/></mdb-nav-item>
                        <mdb-nav-item href="#!" waves-fixed><mdb-icon fab icon="instagram" class="light-green-text-2"/></mdb-nav-item>
                      </mdb-navbar-nav>
                    </mdb-navbar-toggler>
                  </mdb-container>
                </mdb-navbar>
                <view-wrapper>
                  <video class="video-intro" poster="https://mdbootstrap.com/img/Photos/Others/background.webp" playsInline autoPlay muted="" loop>
                    <source src="https://mdbootstrap.com/img/video/animation.mp4" type="video/mp4"/>
                  </video>
                  <mdb-mask class="d-flex justify-content-center align-items-center gradient">
                    <mdb-container class="px-md-3 px-sm-0">
                      <mdb-row>
                        <mdb-col md="12" class="mb-4 white-text text-center">
                          <h3 class="display-3 font-weight-bold mb-0 pt-md-5">Creative Agency </h3>
                          <hr class="hr-light my-4 w-75"/>
                          <h4 class="subtext-header mt-2 mb-4">Lorem ipsum dolor sit amet, consectetur adipisicing elit deleniti consequuntur nihil.</h4>
                          <mdb-btn outline="white" rounded color="white"><mdb-icon icon="home"/> Visit us</mdb-btn>
                        </mdb-col>
                      </mdb-row>
                    </mdb-container>
                  </mdb-mask>
                </view-wrapper>
                <mdb-container>
                  <mdb-row class="pt-5 pb-4">
                    <mdb-col md="12" class="text-center">
                      <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                      </p>
                    </mdb-col>
                  </mdb-row>
                </mdb-container>
              </div>
            </template>
          
        
    
        
            
            <script>
              import { mdbContainer, mdbRow, mdbCol, ViewWrapper, mdbMask, mdbBtn, mdbIcon, mdbNavbar, mdbNavItem, mdbNavbarNav, mdbNavbarToggler, mdbNavbarBrand  } from 'mdbvue';
              export default {
                name: 'VideoBackgroundPage',
                components: {
                  mdbContainer,
                  mdbRow,
                  mdbCol,
                  ViewWrapper,
                  mdbMask,
                  mdbBtn,
                  mdbIcon,
                  mdbNavbar,
                  mdbNavItem,
                  mdbNavbarNav,
                  mdbNavbarToggler,
                  mdbNavbarBrand
                }
              }
            </script>
          
        
    
        
            
            <style>
              .video-background-page .gradient {
                background: -moz-linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
                background: -webkit-linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
                background: linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
              }

              .video-background-page .view video {
                top: 0!important;
                left: 0!important;
                transform: none!important;
                height: calc(100vh - 60px);
              }

              .video-background-page .navbar {
                transition: background .5s ease-in-out,padding .5s ease-in-out;
              }

              .top-nav-collapse {
                background-color: #563e91 !important;
              }
            </style>
      
        
    

Cards with background image MDB Pro component

'

You can also use background image with cards.

Marketing

This is card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!.

View project
Software

This is card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!.

View project
        
            
            <template>
              <mdb-card class="card-image" style="background-image: url(https://mdbootstrap.com/img/Photos/Horizontal/Work/4-col/img%20%2814%29.webp)">
                <div class="text-white text-center d-flex align-items-center rgba-black-strong py-5 px-4">
                  <div>
                    <h5 class="pink-text"><mdb-icon icon="chart-pie" /> Marketing</h5>
                    <mdb-card-title tag="h3" class="pt-2"><strong>This is card title</strong></mdb-card-title>
                    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem,
                      optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos.
                      Odit sed qui, dolorum!.
                    </p>
                    <mdb-btn color="pink" icon="clone left">View project</mdb-btn>
                  </div>
                </div>
              </mdb-card>
            </template>
          
        
    
        
            
            <script>
              import { mdbCard, mdbCardTitle, mdbBtn, mdbIcon } from 'mdbvue';
              export default {
                name: 'ClassicFormPage',
                components: {
                  mdbCard,
                  mdbCardTitle,
                  mdbBtn,
                  mdbIcon
                }
              }
            </script>
      
        
    

Project section with background image cards MDB Pro component

You can use background images in more advanced designs using grid system and cards.

Our best projects

Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit est laborum.

Travel

This is card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!

View project
Marketing

This is card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!

View project
Entertainment

This is card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!

View project
        
            
            <template>
              <section class="text-center my-5">
                <h2 class="h1-responsive font-weight-bold my-5">Our best projects</h2>
                <p class="grey-text w-responsive mx-auto mb-5">Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit est laborum.</p>
                <mdb-row>
                  <mdb-col md="12" class="mb-4">
                    <mdb-card class="card-image" style="background-image: url(https://mdbootstrap.com/img/Photos/Others/img%20%2832%29.webp)">
                      <div class="text-white text-center d-flex align-items-center rgba-black-strong py-5 px-4 rounded">
                        <div>
                          <h6 class="purple-text">
                            <mdb-icon icon="plane"></mdb-icon><strong> Travel</strong>
                          </h6>
                          <h3 class="py-3 font-weight-bold">
                            <strong>This is card title</strong>
                          </h3>
                          <p class="pb-3">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!</p>
                          <mdb-btn color="secondary" rounded size="md"><mdb-icon icon="clone" class="left"/> View project</mdb-btn>
                        </div>
                      </div>
                    </mdb-card>
                  </mdb-col>
                  <mdb-col md="6" class="md-0 mb-4">
                    <mdb-card class="card-image" style="backgroundImage: url(https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20%2873%29.webp)">
                      <div class="text-white text-center d-flex align-items-center rgba-black-strong py-5 px-4 rounded">
                        <div>
                          <h6 class="pink-text">
                            <mdb-icon icon="chart-pie"></mdb-icon><strong> Marketing</strong>
                          </h6>
                          <h3 class="py-3 font-weight-bold">
                            <strong>This is card title</strong>
                          </h3>
                          <p class="pb-3">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!</p>
                          <mdb-btn color="pink" rounded size="md"><mdb-icon icon="clone" class="left"/> View project</mdb-btn>
                        </div>
                      </div>
                    </mdb-card>
                  </mdb-col>
                  <mdb-col md="6" class="md-0 mb-4">
                    <mdb-card class="card-image" style="backgroundImage: url(https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20%2873%29.webp)">
                      <div class="text-white text-center d-flex align-items-center rgba-black-strong py-5 px-4 rounded">
                        <div>
                          <h6 class="green-text">
                            <mdb-icon icon="eye"></mdb-icon><strong> Entertainment</strong>
                          </h6>
                          <h3 class="py-3 font-weight-bold">
                            <strong>This is card title</strong>
                          </h3>
                          <p class="pb-3">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!</p>
                          <mdb-btn color="success" rounded size="md"><mdb-icon icon="clone" class="left"/> View project</mdb-btn>
                        </div>
                      </div>
                    </mdb-card>
                  </mdb-col>
                </mdb-row>
              </section>
            </template>
            
        
    
        
            
            <script>
              import { mdbRow, mdbCol, mdbCard, mdbIcon, mdbCardTitle, mdbBtn } from 'mdbvue';
              export default {
                name: 'ClassicFormPage',
                components: {
                  mdbRow,
                  mdbCol,
                  mdbCard,
                  mdbIcon,
                  mdbCardTitle,
                  mdbBtn
                }
              }
            </script>

React Background Image

React Background Image - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap background image is an illustration chosen by a user placed behind all other objects on the website. It may be full or partially visible.


Full Page Background Image

        
            
          import React from "react";
          import './index.css';

          const BackgroundImagePage = () => {
            return (
              <div className="bg"></div>
            );
          }

          export default BackgroundImagePage;
        
        
    
        
            
          body, html {
            height: 100%;
          }
          .bg {
            background-image: url("https://mdbootstrap.com/img/Photos/Horizontal/Nature/full page/img(20).webp");
            height: 100vh;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
          }
        
        
    

Half Page Background Image

        
            
          import React from "react";
          import "./index.css";

          const BackgroundImagePage = () => {
            return <div className="bg" />;
          };

          export default BackgroundImagePage;
        
        
    
        
            
          body, html {
            height: 100%;
          }
          .bg {
            background-image: url("https://mdbootstrap.com/img/Photos/Horizontal/Nature/full page/img(11).webp");
            height: 50vh;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
          }
        
        
    

Background image layout - first option

        
            
          import React from "react";
          import { BrowserRouter as Router } from "react-router-dom";
          import {
            MDBNavbar,
            MDBNavbarBrand,
            MDBNavbarNav,
            MDBNavItem,
            MDBNavLink,
            MDBNavbarToggler,
            MDBCollapse,
            MDBMask,
            MDBRow,
            MDBCol,
            MDBBtn,
            MDBView,
            MDBContainer,
            MDBFormInline,
            MDBAnimation
          } from "mdbreact";
          import "./index.css";

          class AppPage extends React.Component {
            state = {
              collapsed: false
            };

            handleTogglerClick = () => {
              this.setState({
                collapsed: !this.state.collapsed
              });
            };

            render() {
              const overlay = (
                <div
                  id="sidenav-overlay"
                  style={{ backgroundColor: "transparent" }}
                  onClick={this.handleTogglerClick}
                />
              );
              return (
                <div id="apppage">
                  <Router>
                    <div>
                      <MDBNavbar
                        color="primary-color"
                        dark
                        expand="md"
                        fixed="top"
                        scrolling
                        transparent
                      >
                        <MDBContainer>
                          <MDBNavbarBrand>
                            <strong className="white-text">MDB</strong>
                          </MDBNavbarBrand>
                          <MDBNavbarToggler onClick={this.handleTogglerClick} />
                          <MDBCollapse isOpen={this.state.collapsed} navbar>
                            <MDBNavbarNav left>
                              <MDBNavItem active>
                                <MDBNavLink to="#!">Home</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to="#!">Link</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to="#!">Profile</MDBNavLink>
                              </MDBNavItem>
                            </MDBNavbarNav>
                            <MDBNavbarNav right>
                              <MDBNavItem>
                                <MDBFormInline waves>
                                  <div className="md-form my-0">
                                    <input
                                      className="form-control mr-sm-2"
                                      type="text"
                                      placeholder="Search"
                                      aria-label="Search"
                                    />
                                  </div>
                                </MDBFormInline>
                              </MDBNavItem>
                            </MDBNavbarNav>
                          </MDBCollapse>
                        </MDBContainer>
                      </MDBNavbar>
                      {this.state.collapsed && overlay}
                    </div>
                  </Router>
                  <MDBView>
                    <MDBMask className="d-flex justify-content-center align-items-center gradient">
                      <MDBContainer>
                        <MDBRow>
                          <MDBCol
                            md="6"
                            className="white-text text-center text-md-left mt-xl-5 mb-5"
                          >
                            <MDBAnimation type="fadeInLeft" delay=".3s">
                              <h1 className="h1-responsive font-weight-bold mt-sm-5">
                                Make purchases with our app
                              </h1>
                              <hr className="hr-light" />
                              <h6 className="mb-4">
                                Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                                Rem repellendus quasi fuga nesciunt dolorum nulla magnam
                                veniam sapiente, fugiat! Commodi sequi non animi ea dolor
                                molestiae iste.
                              </h6>
                              <MDBBtn color="white">Download</MDBBtn>
                              <MDBBtn outline color="white">
                                Learn More
                              </MDBBtn>
                            </MDBAnimation>
                          </MDBCol>

                          <MDBCol md="6" xl="5" className="mt-xl-5">
                            <MDBAnimation type="fadeInRight" delay=".3s">
                              <img
                                src="https://mdbootstrap.com/img/Mockups/Transparent/Small/admin-new.webp"
                                alt=""
                                className="img-fluid"
                              />
                            </MDBAnimation>
                          </MDBCol>
                        </MDBRow>
                      </MDBContainer>
                    </MDBMask>
                  </MDBView>

                  <MDBContainer>
                    <MDBRow className="py-5">
                      <MDBCol md="12" className="text-center">
                        <p>
                          Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                          eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
                          enim ad minim veniam, quis nostrud exercitation ullamco laboris
                          nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor
                          in reprehenderit in voluptate velit esse cillum dolore eu fugiat
                          nulla pariatur. Excepteur sint occaecat cupidatat non proident,
                          sunt in culpa qui officia deserunt mollit anim id est laborum.
                        </p>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </div>
              );
            }
          }

          export default AppPage;

        
        
    
        
            
          #apppage .gradient {
            background: -moz-linear-gradient(
              45deg,
              rgba(42, 27, 161, 0.7),
              rgba(29, 210, 177, 0.7) 100%
            );
            background: -webkit-linear-gradient(
              45deg,
              rgba(42, 27, 161, 0.7),
              rgba(29, 210, 177, 0.7) 100%
            );
            background: -webkit-gradient(
              linear,
              45deg,
              from(rgba(42, 27, 161, 0.7)),
              to(rgba(29, 210, 177, 0.7))
            );
            background: -o-linear-gradient(
              45deg,
              rgba(42, 27, 161, 0.7),
              rgba(29, 210, 177, 0.7) 100%
            );
            background: linear-gradient(
              45deg,
              rgba(42, 27, 161, 0.7),
              rgba(29, 210, 177, 0.7) 100%
            );
          }

          #apppage .view {
            background-image: url("https://mdbootstrap.com/img/Photos/Others/architecture.webp");
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center center;
            min-height: 100vh;
          }

          #apppage h6 {
            line-height: 1.7;
          }

          @media only screen and (max-width: 400px) {
            #apppage .animated img {
              max-height: 50vh;
              transform: translateX(-50%);
              left: 50%;
              position: absolute;
            }
          }
          @media only screen and (max-width: 767px) {
            #apppage .animated img {
              max-height: 35vh;
              transform: translateX(-50%);
              left: 50%;
            }
          }

          @media (max-width: 767px) and (orientation: landscape) {
            #apppage .animated img {
              max-height: 50vh;
              transform: translateX(-50%);
              left: 50%;
              position: relative;
            }
          }
          @media (max-width: 1000px) and (orientation: landscape) {
            #apppage .view {
              min-height: 150vh;
            }
          }

        
        
    

Background image layout - second option

        
            
          import React from "react";
          import { BrowserRouter as Router } from "react-router-dom";
          import {
            MDBNavbar,
            MDBNavbarBrand,
            MDBNavbarNav,
            MDBNavItem,
            MDBNavLink,
            MDBNavbarToggler,
            MDBCollapse,
            MDBMask,
            MDBRow,
            MDBCol,
            MDBIcon,
            MDBBtn,
            MDBView,
            MDBContainer,
            MDBCard,
            MDBCardBody,
            MDBInput,
            MDBFormInline,
            MDBAnimation
          } from "mdbreact";
          import "./index.css";

          class ClassicFormPage extends React.Component {
            state = {
              collapseID: ""
            };

            toggleCollapse = collapseID => () =>
              this.setState(prevState => ({
                collapseID: prevState.collapseID !== collapseID ? collapseID : ""
              }));

            render() {
              const overlay = (
                <div
                  id="sidenav-overlay"
                  style={{ backgroundColor: "transparent" }}
                  onClick={this.toggleCollapse("navbarCollapse")}
                />
              );
              return (
                <div id="classicformpage">
                  <Router>
                    <div>
                      <MDBNavbar dark expand="md" fixed="top">
                        <MDBContainer>
                          <MDBNavbarBrand>
                            <strong className="white-text">MDB</strong>
                          </MDBNavbarBrand>
                          <MDBNavbarToggler
                            onClick={this.toggleCollapse("navbarCollapse")}
                          />
                          <MDBCollapse
                            id="navbarCollapse"
                            isOpen={this.state.collapseID}
                            navbar
                          >
                            <MDBNavbarNav left>
                              <MDBNavItem active>
                                <MDBNavLink to="#!">Home</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to="#!">Link</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to="#!">Profile</MDBNavLink>
                              </MDBNavItem>
                            </MDBNavbarNav>
                            <MDBNavbarNav right>
                              <MDBNavItem>
                                <MDBFormInline waves>
                                  <div className="md-form my-0">
                                    <input
                                      className="form-control mr-sm-2"
                                      type="text"
                                      placeholder="Search"
                                      aria-label="Search"
                                    />
                                  </div>
                                </MDBFormInline>
                              </MDBNavItem>
                            </MDBNavbarNav>
                          </MDBCollapse>
                        </MDBContainer>
                      </MDBNavbar>
                      {this.state.collapseID && overlay}
                    </div>
                  </Router>

                  <MDBView>
                    <MDBMask className="d-flex justify-content-center align-items-center gradient">
                      <MDBContainer>
                        <MDBRow>
                          <MDBAnimation
                            type="fadeInLeft"
                            delay=".3s"
                            className="white-text text-center text-md-left col-md-6 mt-xl-5 mb-5"
                          >
                            <h1 className="h1-responsive font-weight-bold">
                              Sign up right now!
                            </h1>
                            <hr className="hr-light" />
                            <h6 className="mb-4">
                              Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                              Rem repellendus quasi fuga nesciunt dolorum nulla magnam
                              veniam sapiente, fugiat! Commodi sequi non animi ea dolor
                              molestiae, quisquam iste, maiores. Nulla.
                            </h6>
                            <MDBBtn outline color="white">
                              Learn More
                            </MDBBtn>
                          </MDBAnimation>

                          <MDBCol md="6" xl="5" className="mb-4">
                            <MDBAnimation type="fadeInRight" delay=".3s">
                              <MDBCard id="classic-card">
                                <MDBCardBody className="white-text">
                                  <h3 className="text-center">
                                    <MDBIcon icon="user" /> Register:
                                  </h3>
                                  <hr className="hr-light" />
                                  <MDBInput
                                    className="white-text"
                                    iconClass="white-text"
                                    label="Your name"
                                    icon="user"
                                  />
                                  <MDBInput
                                    className="white-text"
                                    iconClass="white-text"
                                    label="Your email"
                                    icon="envelope"
                                  />
                                  <MDBInput
                                    className="white-text"
                                    iconClass="white-text"
                                    label="Your password"
                                    icon="lock"
                                    type="password"
                                  />
                                  <div className="text-center mt-4 black-text">
                                    <MDBBtn color="indigo">Sign Up</MDBBtn>
                                    <hr className="hr-light" />
                                    <div className="text-center d-flex justify-content-center white-label">
                                      <a href="#!" className="p-2 m-2">
                                        <MDBIcon
                                          fab
                                          icon="twitter"
                                          className="white-text"
                                        />
                                      </a>
                                      <a href="#!" className="p-2 m-2">
                                        <MDBIcon
                                          fab
                                          icon="linkedin"
                                          className="white-text"
                                        />
                                      </a>
                                      <a href="#!" className="p-2 m-2">
                                        <MDBIcon
                                          fab
                                          icon="instagram"
                                          className="white-text"
                                        />
                                      </a>
                                    </div>
                                  </div>
                                </MDBCardBody>
                              </MDBCard>
                            </MDBAnimation>
                          </MDBCol>
                        </MDBRow>
                      </MDBContainer>
                    </MDBMask>
                  </MDBView>

                  <MDBContainer>
                    <MDBRow className="py-5">
                      <MDBCol md="12" className="text-center">
                        <p>
                          Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                          eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
                          enim ad minim veniam, quis nostrud exercitation ullamco laboris
                          nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor
                          in reprehenderit in voluptate velit esse cillum dolore eu fugiat
                          nulla pariatur. Excepteur sint occaecat cupidatat non proident,
                          sunt in culpa qui officia deserunt mollit anim id est laborum.
                        </p>
                      </MDBCol>
                    </MDBRow>
                  </MDBContainer>
                </div>
              );
            }
          }

          export default ClassicFormPage;
        
        
    
        
            
          #classicformpage .view {
            background-image: url("http://mdbootstrap.com/img/Photos/Others/images/91.webp");
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center center;
            height: 100vh;
          }

          #classicformpage .gradient {
            background: -webkit-linear-gradient(
              45deg,
              rgba(0, 0, 0, 0.7),
              rgba(72, 15, 144, 0.4) 100%
            );
            background: -webkit-gradient(
              linear,
              45deg,
              from(rgba(0, 0, 0, 0.7), rgba(72, 15, 144, 0.4) 100%)
            );
            background: linear-gradient(
              45deg,
              rgba(0, 0, 0, 0.7),
              rgba(72, 15, 144, 0.4) 100%
            );
          }

          #classicformpage .card {
            background-color: rgba(126, 123, 215, 0.2);
          }

          #classicformpage h6 {
            line-height: 1.7;
          }

          #classicformpage .navbar {
            transition: background 0.5s ease-in-out, padding 0.5s ease-in-out;
          }

          #classicformpage .top-nav-collapse {
            background: #424f95 !important;
          }

          @media (max-width: 768px) {
            #classicformpage .navbar:not(.top-nav-collapse) {
              background: #424f95 !important;
            }
          }

          #classicformpage label {
            color: #fff !important;
          }

        
        
    

Background video layout

        
            
            import React from "react";
            import { BrowserRouter as Router } from "react-router-dom";
            import { MDBNavbar, MDBNavbarBrand, MDBNavbarNav, MDBNavItem, MDBNavLink, MDBNavbarToggler, MDBCollapse, MDBMask,
            MDBRow, MDBCol, MDBIcon, MDBBtn, MDBView, MDBContainer } from "mdbreact";
            import "./index.css";

            class VideoBackgroundPage extends React.Component {
              state = {
                collapseID: ""
              };

              toggleCollapse = collapseID => () =>
              this.setState(prevState => ({
                collapseID: prevState.collapseID !== collapseID ? collapseID : ""
              }));

              render() {
                const overlay = (
                  <div id="sidenav-overlay" style={{ backgroundColor: "transparent" }} onClick={this.toggleCollapse("navbarCollapse")} />
                );

                return (
                  <div id="videobackground">
                    <Router>
                      <div>
                        <MDBNavbar dark expand="md" fixed="top">
                          <MDBContainer>
                            <MDBNavbarBrand>
                              <span className="white-text">MDBNavbar</span>
                            </MDBNavbarBrand>
                            <MDBNavbarToggler onClick={this.toggleCollapse("navbarCollapse")} />
                            <MDBCollapse id="navbarCollapse" isOpen={this.state.collapseID} navbar>
                              <MDBNavbarNav left>
                                <MDBNavItem>
                                  <MDBNavLink to="#!">Home</MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to="#!">About</MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to="#!">Features</MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to="#!">Services</MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to="#!">Opinions</MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to="#!">Team</MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to="#!">Contact</MDBNavLink>
                                </MDBNavItem>
                              </MDBNavbarNav>
                              <MDBNavbarNav right>
                                <MDBNavItem>
                                  <MDBNavLink to="!#">
                                    <MDBIcon fab icon="facebook-f" />
                                  </MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to="!#">
                                    <MDBIcon fab icon="twitter" />
                                  </MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to="!#">
                                    <MDBIcon fab icon="instagram" />
                                  </MDBNavLink>
                                </MDBNavItem>
                              </MDBNavbarNav>
                            </MDBCollapse>
                          </MDBContainer>
                        </MDBNavbar>
                        {this.state.collapseID && overlay}
                      </div>
                    </Router>

                    <MDBView>
                      <video className="video-intro" poster="https://mdbootstrap.com/img/Photos/Others/background.webp" playsInline
                        autoPlay muted="" loop>
                        <source src="https://mdbootstrap.com/img/video/animation.mp4" type="video/mp4" />
                      </video>
                      <MDBMask className="d-flex justify-content-center align-items-center gradient">
                        <MDBContainer className="px-md-3 px-sm-0">
                          <MDBRow>
                            <MDBCol md="12" className="mb-4 white-text text-center">
                              <h3 className="display-3 font-weight-bold mb-0 pt-md-5">
                                Creative Agency{" "}
                              </h3>
                              <hr className="hr-light my-4 w-75" />
                              <h4 className="subtext-header mt-2 mb-4">
                                Lorem ipsum dolor sit amet, consectetur adipisicing elit
                                deleniti consequuntur nihil.
                              </h4>
                              <MDBBtn outline rounded color="white">
                                <MDBIcon icon="home" /> Visit us
                              </MDBBtn>
                            </MDBCol>
                          </MDBRow>
                        </MDBContainer>
                      </MDBMask>
                    </MDBView>

                    <MDBContainer>
                      <MDBRow className="pt-5 pb-4">
                        <MDBCol md="12" className="text-center">
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                            eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
                            enim ad minim veniam, quis nostrud exercitation ullamco laboris
                            nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor
                            in reprehenderit in voluptate velit esse cillum dolore eu fugiat
                            nulla pariatur. Excepteur sint occaecat cupidatat non proident,
                            sunt in culpa qui officia deserunt mollit anim id est laborum.
                          </p>
                        </MDBCol>
                      </MDBRow>
                    </MDBContainer>
                  </div>
                );
              }
            }

            export default VideoBackgroundPage;

        
        
    
        
            
          #videobackground .gradient {
            background: -moz-linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
            background: -webkit-linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
            background: linear-gradient(45deg, rgba(213, 15, 61, 0.6), rgba(13, 17, 198, 0.69) 100%);
          }

          #videobackground .view video {
            top: 0!important;
            left: 0!important;
            transform: none!important;
            height: 100vh;
          }
        
        
    

Cards with background image MDB Pro component

Marketing

This is card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!.

View project
Software

This is card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!.

View project
        
            
          import React, { Component } from "react";
          import {
            MDBCard,
            MDBCardTitle,
            MDBBtn,
            MDBRow,
            MDBCol,
            MDBIcon
          } from "mdbreact";

          class CardExample extends Component {
            render() {
              return (
                <MDBRow>
                  <MDBCol>
                    <MDBCard
                      className="card-image"
                      style={{
                        backgroundImage:
                          "url('https://mdbootstrap.com/img/Photos/Horizontal/Work/4-col/img%20%2814%29.webp')"
                      }}
                    >
                      <div className="text-white text-center d-flex align-items-center rgba-black-strong py-5 px-4">
                        <div>
                          <h5 className="pink-text">
                            <MDBIcon icon="chart-pie"/> Marketing
                          </h5>
                          <MDBCardTitle tag="h3" className="pt-2">
                            <strong>This is card title</strong>
                          </MDBCardTitle>
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Repellat fugiat, laboriosam, voluptatem, optio vero odio nam
                            sit officia accusamus minus error nisi architecto nulla ipsum
                            dignissimos. Odit sed qui, dolorum!
                          </p>
                          <MDBBtn color="pink">
                            <MDBIcon icon="clone left" /> View project
                          </MDBBtn>
                        </div>
                      </div>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol>
                    <MDBCard
                      className="card-image"
                      style={{
                        backgroundImage:
                          "url('https://mdbootstrap.com/img/Photos/Horizontal/City/6-col/img%20(47).webp')"
                      }}
                    >
                      <div className="text-white text-center d-flex align-items-center rgba-indigo-strong py-5 px-4">
                        <div>
                          <h5 className="orange-text">
                            <MDBIcon icon="desktop" /> Software
                          </h5>
                          <MDBCardTitle tag="h3" className="pt-2">
                            <strong>This is card title</strong>
                          </MDBCardTitle>
                          <p>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Repellat fugiat, laboriosam, voluptatem, optio vero odio nam
                            sit officia accusamus minus error nisi architecto nulla ipsum
                            dignissimos. Odit sed qui, dolorum!
                          </p>
                          <MDBBtn color="deep-orange">
                            <MDBIcon icon="clone left" /> View project
                          </MDBBtn>
                        </div>
                      </div>
                    </MDBCard>
                  </MDBCol>
                </MDBRow>
              );
            }
          }

          export default CardExample;
        
        
    

Project section with background image cards MDB Pro component

Our best projects

Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit est laborum.

Travel

This is card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!

View project
Marketing

This is card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!

View project
Entertainment

This is card title

Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!

View project
        
            
          import React from "react";
          import { MDBContainer, MDBCol, MDBCard, MDBIcon, MDBBtn } from "mdbreact";

          const ProjectsPage = () => {
            return (
              <section className="text-center my-5">
                <h2 className="h1-responsive font-weight-bold my-5">
                  Our best projects
                </h2>
                <p className="grey-text w-responsive mx-auto mb-5">
                  Duis aute irure dolor in reprehenderit in voluptate velit esse
                  cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat
                  cupidatat non proident, sunt in culpa qui officia deserunt mollit
                  est laborum.
                </p>

                <MDBContainer className="d-flex flex-wrap">
                  <MDBCol md="12" className="mb-4">
                    <MDBCard className="card-image" style={{
                            backgroundImage:
                              "url(https://mdbootstrap.com/img/Photos/Others/img%20%2832%29.webp)"
                          }}>
                      <div className="text-white text-center d-flex align-items-center rgba-black-strong py-5 px-4 rounded">
                        <div>
                          <h6 className="purple-text">
                            <MDBIcon icon="plane" />
                            <strong> Travel</strong>
                          </h6>
                          <h3 className="py-3 font-weight-bold">
                            <strong>This is card title</strong>
                          </h3>
                          <p className="pb-3">
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Repellat fugiat, laboriosam, voluptatem, optio vero odio
                            nam sit officia accusamus minus error nisi architecto
                            nulla ipsum dignissimos. Odit sed qui, dolorum!
                          </p>
                          <MDBBtn color="secondary" rounded size="md">
                            <MDBIcon far icon="clone" className="left" /> MDBView project
                          </MDBBtn>
                        </div>
                      </div>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol md="6" className="md-0 mb-4">
                    <MDBCard className="card-image" style={{
                            backgroundImage:
                              "url(https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20%2873%29.webp)"
                          }}>
                      <div className="text-white text-center d-flex align-items-center rgba-black-strong py-5 px-4 rounded">
                        <div>
                          <h6 className="pink-text">
                            <MDBIcon icon="chart-pie" />
                            <strong> Marketing</strong>
                          </h6>
                          <h3 className="py-3 font-weight-bold">
                            <strong>This is card title</strong>
                          </h3>
                          <p className="pb-3">
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Repellat fugiat, laboriosam, voluptatem, optio vero odio
                            nam sit officia accusamus minus error nisi architecto
                            nulla ipsum dignissimos. Odit sed qui, dolorum!
                          </p>
                          <MDBBtn color="pink" rounded size="md">
                            <MDBIcon far icon="clone" className="left" /> MDBView project
                          </MDBBtn>
                        </div>
                      </div>
                    </MDBCard>
                  </MDBCol>
                  <MDBCol md="6" className="md-0 mb-4">
                    <MDBCard className="card-image" style={{
                            backgroundImage:
                              "url(https://mdbootstrap.com/img/Photos/Horizontal/Nature/6-col/img%20%2873%29.webp)"
                          }}>
                      <div className="text-white text-center d-flex align-items-center rgba-black-strong py-5 px-4 rounded">
                        <div>
                          <h6 className="green-text">
                            <MDBIcon icon="eye" />
                            <strong> Entertainment</strong>
                          </h6>
                          <h3 className="py-3 font-weight-bold">
                            <strong>This is card title</strong>
                          </h3>
                          <p className="pb-3">
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit.
                            Repellat fugiat, laboriosam, voluptatem, optio vero odio
                            nam sit officia accusamus minus error nisi architecto
                            nulla ipsum dignissimos. Odit sed qui, dolorum!
                          </p>
                          <MDBBtn color="success" rounded size="md">
                            <MDBIcon far icon="clone" className="left" /> MDBView project
                          </MDBBtn>
                        </div>
                      </div>
                    </MDBCard>
                  </MDBCol>
                </MDBContainer>
              </section>
            );
          }

          export default ProjectsPage;